Swipelux

Create business customer

Create business customers with KYB information

POST /v1/customers/business

Creates a business customer. Additional data (shareholders, documents) is added via separate endpoints.

For comprehensive KYB documentation, see Business Onboarding.

Required Fields

FieldTypeDescription
firstNamestringFirst name of primary contact
lastNamestringLast name of primary contact
emailstringEmail address
entityNamestringLegal entity name
jurisdictionstringCountry of jurisdiction (ISO 3166-1 alpha-2)

Optional Fields

FieldTypeDescription
middleNamestringMiddle name
birthDatestringBirth date (YYYY-MM-DD)
phonestringPhone number
entityTypestringEntity type (llc, corporation, dao, foundation, etc.)
entityTypeDescriptionstringCustom entity type description
tradeNamestringDBA / trading name
registrationNumberstringCompany registration number
incorporationDatestringDate of incorporation (YYYY-MM-DD)
taxNumberstringTax identification number
businessDescriptionstringDescription of business activities
businessTypestringIndustry type
businessTypeDescriptionstringCustom business type description
websitesstring[]Company website URLs
phoneNumberstringBusiness phone number
addressCountrystringCountry (ISO 3166-1 alpha-2)
streetAddressstringStreet address
addressLine2stringAddress line 2
citystringCity
statestringState/Province
zipstringPostal/ZIP code
sourceOfFundsstringSource of funds
sourceOfFundDescriptionstringCustom source description
expectedMonthlyVolumeUsdnumberExpected monthly volume in USD
purposeOfFundsstringPurpose of funds
purposeOfFundsDescriptionstringCustom purpose description
flowOfFundsDescriptionstringFlow of funds description
sanctionedCountryOperationsbooleanOperations in sanctioned countries
highRiskActivitiesstring[]High-risk activities
operatingCountriesstring[]Countries of operation (ISO 3166-1 alpha-2)
handlesCustomerFundsbooleanHandles customer funds
complianceScreeningDescriptionstringCompliance screening procedures
estimatedAnnualRevenuenumberEstimated annual revenue in USD

Business Documents

POST /v1/customers/business/:id/documents

Creates a new document. Returns 409 if document of same type exists.

Request:

{
  "type": "certificate_of_incorporation",
  "base64": "JVBERi0xLjQKJe..."
}

Response 201:

{
  "id": "bizdoc_xxx",
  "type": "certificate_of_incorporation",
  "status": "pending",
  "createdAt": "2026-02-04T15:45:52.175Z",
  "updatedAt": "2026-02-04T15:45:52.175Z"
}

Response 409:

{
  "message": "Document of type 'certificate_of_incorporation' already exists for this customer. Use PUT to replace it."
}

PUT /v1/customers/business/:id/documents

Replaces an existing document. Returns 404 if document not found.

Request:

{
  "type": "certificate_of_incorporation",
  "base64": "JVBERi0xLjQKJe..."
}

Response 200:

{
  "id": "bizdoc_xxx",
  "type": "certificate_of_incorporation",
  "status": "pending",
  "createdAt": "2026-02-04T15:45:52.175Z",
  "updatedAt": "2026-02-04T16:30:00.000Z"
}

Response 404:

{
  "message": "Document of type 'certificate_of_incorporation' not found. Use POST to create a new document."
}

Document Types

Type
certificate_of_incorporation
formation_document
power_of_attorney
corporate_structure
director_structure
proof_of_address
annual_financial_statements
articles_of_association

Document Status

StatusDescription
pendingAwaiting review
approvedDocument verified
rejectedDocument rejected

Shareholders

GET /v1/customers/business/:id/shareholders

Returns all shareholders for the business customer.

Response 200:

{
  "shareholders": [
    {
      "id": "sh_xxx",
      "firstName": "John",
      "lastName": "Smith",
      "birthDate": "1985-03-20",
      "email": "john@example.com",
      "ownershipPercentage": 60,
      "hasControl": true,
      "isSigner": true,
      "isDirector": true,
      "address": {
        "country": "US",
        "streetAddress": "456 Oak Avenue",
        "city": "San Francisco",
        "zip": "94102"
      },
      "attestedOwnershipStructureAt": null,
      "createdAt": "2026-02-04T15:45:52.175Z",
      "updatedAt": "2026-02-04T15:45:52.175Z"
    }
  ]
}

POST /v1/customers/business/:id/shareholders

Creates a new shareholder for the business customer.

Request:

{
  "firstName": "John",
  "lastName": "Smith",
  "birthDate": "1985-03-20",
  "email": "john@example.com",
  "ownershipPercentage": 60,
  "hasControl": true,
  "isSigner": true,
  "isDirector": true,
  "address": {
    "country": "US",
    "streetAddress": "456 Oak Avenue",
    "city": "San Francisco",
    "zip": "94102"
  }
}

Response 201:

{
  "id": "sh_xxx",
  "firstName": "John",
  "lastName": "Smith",
  "birthDate": "1985-03-20",
  "email": "john@example.com",
  "ownershipPercentage": 60,
  "hasControl": true,
  "isSigner": true,
  "isDirector": true,
  "address": {
    "country": "US",
    "streetAddress": "456 Oak Avenue",
    "city": "San Francisco",
    "zip": "94102"
  },
  "attestedOwnershipStructureAt": null,
  "createdAt": "2026-02-04T15:45:52.175Z",
  "updatedAt": "2026-02-04T15:45:52.175Z"
}

GET /v1/customers/business/:id/shareholders/:shareholderId

Returns a single shareholder by ID.

PUT /v1/customers/business/:id/shareholders/:shareholderId

Updates a shareholder. Only provided fields will be updated.

Request:

{
  "ownershipPercentage": 75,
  "title": "CEO"
}

DELETE /v1/customers/business/:id/shareholders/:shareholderId

Deletes a shareholder and their associated documents.

Response 200:

{
  "success": true,
  "message": "Shareholder deleted successfully"
}

Shareholder Fields

FieldTypeRequired
firstNamestringYes
lastNamestringYes
birthDatestringYes
emailstringYes
ownershipPercentagenumberYes
hasControlbooleanYes
isSignerbooleanYes
isDirectorbooleanYes
addressobjectYes
phonestringNo
titlestringNo
identityDocumentobjectNo
attestedOwnershipStructureAtstringNo

Shareholder Documents

POST /v1/customers/business/:id/shareholders/:shareholderId/documents

Upload a document for a shareholder.

Request:

{
  "type": "passport_front",
  "base64": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
}

Shareholder Document Types

TypeDescription
passport_frontPassport front page
passport_backPassport back page
id_card_frontID card front
id_card_backID card back
drivers_license_frontDriver's license front
drivers_license_backDriver's license back
proof_of_addressProof of address